precision mediump float;

varying highp vec2 v_tex_coord;
uniform lowp sampler2D s_texture;
varying lowp vec4 v_color;

void main()
{          
  vec4 res_color;
  
  res_color = texture2D(s_texture, v_tex_coord);
  res_color = vec4(v_color.rgb * res_color.a, res_color.a);

  gl_FragColor = res_color;
}                                           

