precision mediump float;

varying highp vec2 v_tex_coord;
uniform lowp sampler2D s_texture;
varying lowp vec4 v_color;

void main()
{          
  vec4 res_color;
  
  res_color = texture2D(s_texture, v_tex_coord);
  res_color = res_color.a > 0.5 ? vec4(v_color.rgb, 1.0) : vec4(0);

  gl_FragColor = res_color;
}                                           

